Cisco IOS

Cisco lukker huller i IOS og IOS XE

Dansk

Flere sårbarheder i styresystemerne IOS og IOS XE fra Cisco lader angribere overtage kontrollen med de systemer, der anvender dem. Andre sårbarheder giver mulighed for at sætte systemet ud af drift.

Blandt sårbarhederne er en fejl i et REST-API, der gør det muligt at omgå autentifikationssystemet og få adgang til web-administrationsgrænsefladen.

Cisco har udsendt opdateringer, der lukker sikkerhedshullerne.

Anbefaling

Opdater til en rettet version.

Huller i Cisco IOS og IOS XE står åbne

Dansk

På sikkerhedskonferencen Black Hat i Las Vegas i denne uge har sikkerhedsforsker Omar Eissa offentliggjort flere sårbarheder i Cisco IOS og IOS XE. Sårbarhederne findes i Autonomic Networking-funktionerne.

Ingen af sårbarhederne har fået Ciscos højeste risikovurdering, men to har fået den næsthøjeste.

En sårbarhed gør det muligt at få et system til at genstarte, så det i en periode er ude af drift. Angriberen behøver ikke være autentificeret, men skal befinde sig på et netværk, der er tæt på den sårbare enhed.

Sikkerhedshuller i Cisco-udstyr står åbne

Dansk

Ciscos implementering af SNMP (Simple Network Management Protocol) har flere sårbarheder. Det gælder for alle versioner af SNMP, både 1, 2c og 3.

Hvis en angriber kender SNMP read-only community string for det berørte system, kan sårbarhederne udnyttes under version 1 og 2c. For version 3 skal angriberen kende et brugernavn og password til systemet.

Cisco arbejder på softwareopdateringer, der løser problemet.

Fejlene findes i Cisco IOS og IOS XE. Enheder med følgende MIB'er er sårbare:

Cisco lukker alvorligt hul i IOS og IOS XE

Dansk

Sårbarheden blev kendt, da en stribe angrebsværktøjer fra CIA blev lækket tidligere på året. Dengang offentliggjorde Cisco en liste over berørte produkter.

Nu er listen opdateret med sikkerhedsrettelser, der lukker hullet.

318 produkter er ramt, heriblandt en lang række Catalyst-switche.

Sårbarheden ligger i behandlingen af Cisco Cluster Management Protocol (CMP).

Anbefaling

Opdater IOS eller IOS XE.

Cisco lukker hul i Struts i flere produkter

Dansk

Sårbarheden har været kendt siden den 6. marts. Den findes i Jakarta Multipart-parseren, der indgår i Apache Struts 2. Dermed er en række produkter, der anvender Struts, ramt.

Cisco har fundet frem til 21 produkter, der anvender Struts og derfor er sårbare.

Firmaet har udsendt rettelser til de fleste.

Cisco har endvidere udsendt en række andre sikkerhedsrettelser. De fjerner primært sårbarheder, der kan sætte produkter ud af drift.

Anbefaling

Gennemgå listen over sårbare produkter og opdater dem, som I anvender.

Cisco lukker otte sikkerhedshuller

Dansk

Det kritiske sikkerhedshul i IOx findes i processen Data-in-Motion. Den berører to routere i serien Cisco 800 Series Industrial Integrated Services Routers: Cisco IR809 og Cisco IR829.

Sårbarheden giver udefrakommende angribere mulighed for at køre skadelige programmer med administratorprivilegier.

Foruden denne sikkerhedsrettelse har Cisco udsendt rettelser til syv andre sårbarheder i IOS og IOS XE. De har alle fået firmaets næsthøjeste risikovurdering.

Anbefaling

Installer opdateringerne fra Cisco.

Hul i hundreder af Cisco-enheder står åbent

Dansk

Netværksfirmaet opdagede sårbarheden under en analyse af de angrebsværktøjer fra CIA, som Wikileaks har lækket. Sårbarheden ligger i implementeringen af Cisco Cluster Management Protocol (CMP).

Sårbarheden har to komponenter: Softwaren tillader CMP-specifikke Telnet-optioner på alle Telnet-forbindelser, ikke kun mellem medlemmer af et cluster. Og disse optioner behandles forkert.

Cisco oplyser, at 318 modeller er sårbare. Det gælder en lang række Catalyst-switche samt Embedded Service-switche og Industrial Ethernet-switche.

Abonnér på RSS - Cisco IOS